Developers
API Documentation
This is the documentation for the available API endpoints, which are built around the REST architecture. All the API endpoints will return a JSON response with the standard HTTP response codes and need a Bearer Authentication via an API Key.
REST + JSON
Bearer token
6 API sections
Quick start
Authentication
All the API endpoints require an API key sent by the Bearer Authentication method.
$ curl --request GET \
--url 'https://proofdy.io/api/{endpoint}' \
--header 'Authorization: Bearer {api_key}'
HTTP/1.1 200 OK
{
"data": { ... }
}
GET https://proofdy.io/api/user
curl --request GET \
--url 'https://proofdy.io/api/user' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/user' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id":"1",
"type":"users",
"email":"example@example.com",
"billing":{
"type":"personal",
"name":"John Doe",
"address":"Lorem Ipsum",
"city":"Dolor Sit",
"county":"Amet",
"zip":"5000",
"country":"",
"phone":"",
"tax_id":"",
"is_enabled":true,
"plan_id":"custom",
"plan_expiration_date":"2025-12-12 00:00:00",
"plan_settings":{
...
},
"plan_trial_done":false,
"language":"english",
"timezone":"UTC",
"country":null,
"datetime": "2026-11-18 11:27:17"
"last_activity":"2020-01-01 00:00:00",
"total_logins":10
}
}
GET https://proofdy.io/api/campaigns/
curl --request GET \
--url 'https://proofdy.io/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/campaigns/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-18 11:27:17"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://proofdy.io/api/campaigns?&page=1",
"last": "https://proofdy.io/api/campaigns?&page=1",
"next": null,
"prev": null,
"self": "https://proofdy.io/api/campaigns?&page=1"
}
}
GET https://proofdy.io/api/campaigns/{campaign_id}
curl --request GET \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"pixel_key": "1234567890abcdef",
"name": "Example",
"domain": "example.com",
"branding": {
"name": "",
"url": ""
},
"email_reports_is_enabled": true,
"email_reports_last_datetime": "2019-05-22 23:40:17",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-18 11:27:17"
}
}
POST https://proofdy.io/api/campaigns
| Parameters | Details | Description |
|---|---|---|
| domain_id | Optional Integer | - |
| name | Required String | - |
| domain | Required String | - |
| branding_name | Optional String | - |
| branding_url | Optional String | - |
| email_reports | Optional Array | Notification handler ids |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://proofdy.io/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
--url 'https://proofdy.io/api/campaigns' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'domain=example.com' \
{
"data": {
"id": 1
}
}
POST https://proofdy.io/api/campaigns/{campaign_id}
| Parameters | Details | Description |
|---|---|---|
| domain_id | Optional Integer | - |
| name | Optional String | - |
| domain | Optional String | - |
| branding_name | Optional String | - |
| branding_url | Optional String | - |
| email_reports | Optional Array | Notification handler ids |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'is_enabled=0' \
{
"data": {
"id": 1
}
}
DELETE https://proofdy.io/api/campaigns/{campaign_id}
curl --request DELETE \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/campaigns/{campaign_id}' \
--header 'Authorization: Bearer {api_key}' \
GET https://proofdy.io/api/notifications/
curl --request GET \
--url 'https://proofdy.io/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/notifications/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"campaign_id": 1,
"notification_key": "d4752d29a557a9fdc67b0a9a27cbe3b1",
"name": "Email Collector",
"type": "EMAIL_COLLECTOR",
"settings": {
...
},
"is_enabled": false,
"last_datetime": null,
"datetime": "2026-11-18 11:27:17"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://proofdy.io/api/notifications?&page=1",
"last": "https://proofdy.io/api/notifications?&page=1",
"next": null,
"prev": null,
"self": "https://proofdy.io/api/notifications?&page=1"
}
}
GET https://proofdy.io/api/notifications/{notification_id}
curl --request GET \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"campaign_id": 1,
"notification_key": "d4752d29a557a9fdc67b0a9a27cbe3b1",
"name": "Email Collector",
"type": "EMAIL_COLLECTOR",
"settings": {
...
},
"is_enabled": false,
"last_datetime": null,
"datetime": "2026-11-18 11:27:17"
}
}
POST https://proofdy.io/api/notifications
| Parameters | Details | Description |
|---|---|---|
| campaign_id | Required Integer | - |
| type | Required String | Allowed values: INFORMATIONAL , COUPON , LIVE_COUNTER , EMAIL_COLLECTOR , CONVERSIONS , CONVERSIONS_COUNTER , VIDEO , AUDIO , SOCIAL_SHARE , REVIEWS , EMOJI_FEEDBACK , COOKIE_NOTIFICATION , SCORE_FEEDBACK , REQUEST_COLLECTOR , COUNTDOWN_COLLECTOR , CUSTOM_HTML , INFORMATIONAL_BAR , IMAGE , COLLECTOR_BAR , COUPON_BAR , BUTTON_BAR , COLLECTOR_MODAL , COLLECTOR_TWO_MODAL , BUTTON_MODAL , TEXT_FEEDBACK , ENGAGEMENT_LINKS , WHATSAPP_CHAT , VIBER_CHAT , MESSENGER_CHAT , TELEGRAM_CHAT , CONTACT_US , INFORMATIONAL_MINI , INFORMATIONAL_BAR_MINI |
| name | Optional String | - |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://proofdy.io/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=INFORMATIONAL' \
--form 'is_enabled=1'
--url 'https://proofdy.io/api/notifications' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'type=INFORMATIONAL' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
POST https://proofdy.io/api/notifications/{notification_id}
curl --request POST \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=example' \
--form 'is_enabled=1'
{
"data": {
"id": 1
}
}
DELETE https://proofdy.io/api/notifications/{notification_id}
curl --request DELETE \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/notifications/{notification_id}' \
--header 'Authorization: Bearer {api_key}' \
GET https://proofdy.io/api/notification-handlers/
curl --request GET \
--url 'https://proofdy.io/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/notification-handlers/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-18 11:27:17"
}
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://proofdy.io/api/notification-handlers?&page=1",
"last": "https://proofdy.io/api/notification-handlers?&page=1",
"next": null,
"prev": null,
"self": "https://proofdy.io/api/notification-handlers?&page=1"
}
}
GET https://proofdy.io/api/notification-handlers/{notification_handler_id}
curl --request GET \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"type": "email",
"name": "Work email",
"settings": {
"email": "hey@example.com"
},
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-11-18 11:27:17"
}
}
POST https://proofdy.io/api/notification-handlers
| Parameters | Details | Description |
|---|---|---|
| name | Required String | - |
| type | Required String | Allowed values: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x |
| Optional String | Available when: type = email Email | |
| webhook | Optional String | Available when: type = webhook Webhook URL |
| slack | Optional String | Available when: type = slack Slack webhook URL |
| discord | Optional String | Available when: type = discord Discord webhook URL |
| telegram | Optional String | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optional String | Available when: type = telegram Telegram Chat ID |
| x_consumer_key | Optional String | Available when: type = x Telegram API Token |
| x_consumer_secret | Optional String | Available when: type = x Telegram API Token |
| x_access_token | Optional String | Available when: type = x Telegram API Token |
| x_access_token_secret | Optional String | Available when: type = x Telegram API Token |
| twilio | Optional String | Available when: type = twilio Phone number |
| Optional String | Available when: type = whatsapp Phone number |
curl --request POST \
--url 'https://proofdy.io/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
--url 'https://proofdy.io/api/notification-handlers' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example' \
--form 'type=email' \
--form 'email=hello@example.com' \
{
"data": {
"id": 1
}
}
POST https://proofdy.io/api/notification-handlers/{notification_handler_id}
| Parameters | Details | Description |
|---|---|---|
| name | Optional String | - |
| type | Optional String | Allowed values: email , webhook , slack , discord , telegram , microsoft_teams , twilio , whatsapp , x |
| Optional String | Available when: type = email Email | |
| webhook | Optional String | Available when: type = webhook Webhook URL |
| slack | Optional String | Available when: type = slack Slack webhook URL |
| discord | Optional String | Available when: type = discord Discord webhook URL |
| telegram | Optional String | Available when: type = telegram Telegram API Token |
| telegram_chat_id | Optional String | Available when: type = telegram Telegram Chat ID |
| x_consumer_key | Optional String | Available when: type = x Telegram API Token |
| x_consumer_secret | Optional String | Available when: type = x Telegram API Token |
| x_access_token | Optional String | Available when: type = x Telegram API Token |
| x_access_token_secret | Optional String | Available when: type = x Telegram API Token |
| twilio | Optional String | Available when: type = twilio Phone number |
| Optional String | Available when: type = whatsapp Phone number | |
| is_enabled | Optional Boolean | - |
curl --request POST \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Example new name' \
--form 'is_enabled=1' \
{
"data": {
"id": 1
}
}
DELETE https://proofdy.io/api/notification-handlers/{notification_handler_id}
curl --request DELETE \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/notification-handlers/{notification_handler_id}' \
--header 'Authorization: Bearer {api_key}' \
GET https://proofdy.io/api/payments/
curl --request GET \
--url 'https://proofdy.io/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/payments/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": 2026-11-18 11:27:17 },
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://proofdy.io/api/payments?&page=1",
"last": "https://proofdy.io/api/payments?&page=1",
"next": null,
"prev": null,
"self": "https://proofdy.io/api/payments?&page=1"
}
}
GET https://proofdy.io/api/payments/{payment_id}
curl --request GET \
--url 'https://proofdy.io/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/payments/{payment_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"plan_id": 1,
"processor": "stripe",
"type": "one_time",
"frequency": "monthly",
"email": "example@example.com",
"name": null,
"total_amount": "4.99",
"currency": "USD",
"status": true,
"datetime": 2026-11-18 11:27:17 }
}
GET https://proofdy.io/api/logs/
curl --request GET \
--url 'https://proofdy.io/api/logs/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://proofdy.io/api/logs/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | Details | Description |
|---|---|---|
| page | Optional Integer | The page number that you want results from. Defaults to 1. |
| results_per_page | Optional Integer | How many results you want per page. Allowed values are: 10 , 25 , 50 , 100 , 250 , 500 , 1000. Defaults to 25. |
{
"data": [
{
"type": "login.success",
"ip": "127.0.0.1",
"device_type": "mobile",
"continent_code": "EU",
"country_code": "IT",
"city_name": "Rome",
"datetime": "2026-11-18 11:27:17"
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://proofdy.io/api/logs?&page=1",
"last": "https://proofdy.io/api/logs?&page=1",
"next": null,
"prev": null,
"self": "https://proofdy.io/api/logs?&page=1"
}
}